Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.webservice.http
Class HTTPWebRequest

    java.lang.Object
      com.stc.connector.appconn.webservice.http.HTTPWebRequest

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class HTTPWebRequest

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

Http web request wrapper.

Version:
  $Revision: 1.5 $

Constructor Summary
`HTTPWebRequest()` Default constructor.

Method Summary
`byte[]` | `getByteRequestBody()` Gets the byte array body content.
`HTTPWebContentTypeList` | `getContentTypes()` Gets the HTTP content-type header values.
`HTTPWebHeaderList` | `getHeaders()` Gets the HTTP headers.
`HTTPWebParameterList` | `getParameters()` Gets the HTTP parameters.
`java.lang.String` | `getStringRequestBody()` Gets the text body content.
`java.lang.String` | `getUrl()` Get the URL.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dos)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput dis)` Restore (deserialize) this message.
`void` | `setByteRequestBody(byte[] body)` Sets the byte array body content.
`void` | `setContentTypes(HTTPWebContentTypeList contentTypes)` Sets the HTTP content-type header values.
`void` | `setHeaders(HTTPWebHeaderList headers)` Set the HTTP headers.
`void` | `setParameters(HTTPWebParameterList parameters)` Sets the HTTP parameters for form-data.
`void` | `setStringRequestBody(java.lang.String body)` Sets the text body content.
`void` | `setUrl(java.lang.String url)` Set the URL.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPWebRequest

    public HTTPWebRequest()

  Default constructor.

Method Detail

### getUrl

    public java.lang.String getUrl()

  Get the URL.

  Returns:
    The URL stringHTTPWebHeaderList.

### setUrl

    public void setUrl(java.lang.String url)

  Set the URL.

  Parameters:
    `url` - The URL string.

### setHeaders

    public void setHeaders(HTTPWebHeaderList headers)

  Set the HTTP headers.

  Parameters:
    `headers` - An instance of HTTPWebHeaderList

### getHeaders

    public HTTPWebHeaderList getHeaders()

  Gets the HTTP headers.

  Returns:
    An instance of HTTPWebHeaderList

### setContentTypes

    public void setContentTypes(HTTPWebContentTypeList contentTypes)

  Sets the HTTP content-type header values.

  Parameters:
    `contentTypes` - An instance of HTTPWebContentTypeList

### getContentTypes

    public HTTPWebContentTypeList getContentTypes()

  Gets the HTTP content-type header values.

  Returns:
    An instance of HTTPWebContentTypeList

### setParameters

    public void setParameters(HTTPWebParameterList parameters)

  Sets the HTTP parameters for form-data.

  Parameters:
    `parameters` - An instance of HTTPWebParameterList

### getParameters

    public HTTPWebParameterList getParameters()

  Gets the HTTP parameters.

  Returns:
    An instance of HTTPWebParameterList

### setByteRequestBody

    public void setByteRequestBody(byte[] body)

  Sets the byte array body content.

  Parameters:
    `body` - An HTTP body content byte array.

### getByteRequestBody

    public byte[] getByteRequestBody()

  Gets the byte array body content.

  Returns:
    An HTTP body content byte array.

### setStringRequestBody

    public void setStringRequestBody(java.lang.String body)

  Sets the text body content.

  Parameters:
    `body` - A text body content.

### getStringRequestBody

    public java.lang.String getStringRequestBody()

  Gets the text body content.

  Returns:
    A text body content.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dos)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dos` - The DataOutputStream to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput dis)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInputStream from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.